edu.isi.pegasus.planner.refiner

## Class DataReuseEngine.BooleanBag

- java.lang.Object
- - edu.isi.pegasus.planner.refiner.DataReuseEngine.BooleanBag

All Implemented Interfaces:
  Bag

Enclosing class:
  DataReuseEngine

    public class DataReuseEngine.BooleanBag
    extends java.lang.Object
    implements Bag

A bag implementation that cam be used to hold a boolean value associated with the graph node

### Field Summary

Fields
`private boolean` `mBoolean` The boolean value

### Constructor Summary

Constructors
Constructor and Description
`BooleanBag()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(boolean b)` Adds a boolean value to the bag
`boolean` `add(java.lang.Object key, java.lang.Object value)` Ignores the key and only adds the value .
`boolean` `containsKey(java.lang.Object key)` Returns false.
`java.lang.Object` `get(java.lang.Object key)` For all keys returns the boolean value
`boolean` `getBooleanValue()` Returns the boolean value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mBoolean

    private boolean mBoolean

The boolean value

### Constructor Detail

#### BooleanBag

    public BooleanBag()

The default constructor.

### Method Detail

#### getBooleanValue

    public boolean getBooleanValue()

Returns the boolean value

Returns:

#### get

    public java.lang.Object get(java.lang.Object key)

For all keys returns the boolean value

Specified by:
  `get` in interface `Bag`
Parameters:
  `key` -
Returns:

#### add

    public boolean add(java.lang.Object key,
                       java.lang.Object value)

Ignores the key and only adds the value . The value should be a boolean

Specified by:
  `add` in interface `Bag`
Parameters:
  `key` -
  `value` -
Returns:

#### containsKey

    public boolean containsKey(java.lang.Object key)

Returns false. You cannot associate a key with this bag.

Specified by:
  `containsKey` in interface `Bag`
Parameters:
  `key` -
Returns:
  false

#### add

    public void add(boolean b)

Adds a boolean value to the bag

Parameters:
  `b` - the boolean value